Bug 195373

Summary: Hit-testing on layers overlapping scrollers should hit-test on text boxes
Product: WebKit Reporter: Simon Fraser (smfr) <simon.fraser>
Component: ScrollingAssignee: Antti Koivisto <koivisto>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, fred.wang, simon.fraser, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Testcase
none
patch none

Description Simon Fraser (smfr) 2019-03-06 13:25:16 PST
Created attachment 363783 [details]
Testcase

If text overflows its parent box, when hit-testing the overflowing text we need to look at the text boxes.
Comment 1 Radar WebKit Bug Importer 2019-03-06 13:25:36 PST
<rdar://problem/48649865>
Comment 2 Antti Koivisto 2019-03-25 06:19:20 PDT
Created attachment 365861 [details]
patch
Comment 3 Simon Fraser (smfr) 2019-03-25 12:41:45 PDT
Comment on attachment 365861 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365861&action=review

> LayoutTests/ChangeLog:9
> +        * fast/scrolling/ios/overflow-scroll-overlap-3.html:

Can we make a new test instead of extending an existing test? It makes failures harder to diagnose.
Comment 4 Antti Koivisto 2019-03-25 12:49:06 PDT
> Can we make a new test instead of extending an existing test? It makes
> failures harder to diagnose.

That test case is already exclusively about this feature (with a subtest flipping). The patch just expands it.
Comment 5 WebKit Commit Bot 2019-03-26 00:12:53 PDT
Comment on attachment 365861 [details]
patch

Clearing flags on attachment: 365861

Committed r243488: <https://trac.webkit.org/changeset/243488>
Comment 6 WebKit Commit Bot 2019-03-26 00:12:54 PDT
All reviewed patches have been landed.  Closing bug.